#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING

#include <bits/stdc++.h>

using namespace std;

int main() {
    int a, b, n;
    scanf("%d%d%d", &a, &b, &n);
    for (int i = 1, ba = a; n--; i++) {
        a = a % b * 10;
        if (a % b == ba % b) n = n % i;
    }
    for (int i = 0; i < 3; i++) {
        printf("%d", a / b);
        a = a % b * 10;
    }
    return 0;
}
